#include <windows.h>
#include "keys.h"

namespace Msp {
namespace Input {

unsigned sys_keymap[N_KEYS_]=
{
	0, 0, 0, 0, 0, 0, 0, 0,
	VK_BACK, VK_TAB, VK_RETURN, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, VK_ESCAPE, 0, 0, 0, 0,

	VK_SPACE, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	'0', '1', '2', '3', '4', '5', '6', '7',
	'8', '9', 0, 0, 0, 0, 0, 0,

	0, 'A', 'B', 'C', 'D', 'E', 'F', 'G',
	'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
	'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W',
	'X', 'Y', 'Z', 0, 0, 0, 0, 0,

	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,

	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,

	VK_LEFT|0x100, VK_RIGHT|0x100, VK_UP|0x100, VK_DOWN|0x100, 0, 0, 0, 0,
	VK_HOME|0x100, VK_END|0x100, VK_PRIOR|0x100, VK_NEXT|0x100, VK_INSERT|0x100, VK_DELETE|0x100, 0, 0,
	0, VK_F1, VK_F2, VK_F3, VK_F4, VK_F5, VK_F6, VK_F7,
	VK_F8, VK_F9, VK_F10, VK_F11, VK_F12, 0, 0, 0,

	VK_LSHIFT, VK_RSHIFT, VK_CONTROL, VK_CONTROL|0x100, 0, 0, VK_LWIN, VK_RWIN,
	VK_CAPITAL, VK_SCROLL, VK_NUMLOCK|0x100, 0, 0, 0, 0, 0,
	VK_NUMPAD0, VK_NUMPAD1, VK_NUMPAD2, VK_NUMPAD3, VK_NUMPAD4, VK_NUMPAD5, VK_NUMPAD6, VK_NUMPAD7,
	VK_NUMPAD8, VK_NUMPAD9, VK_ADD, VK_SUBTRACT, VK_MULTIPLY, VK_DIVIDE|0x100, VK_SEPARATOR, 0,

	VK_PAUSE, VK_SNAPSHOT, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
};

} // namespace Input
} // namespace Msp
